<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Queue;

final class QueueIdentifier
{
    public static function next(string $prefix = 'deferred'): string
    {
        return $prefix . '_' . str_replace('.', '', uniqid('', true)) . '_' . bin2hex(random_bytes(4));
    }
}
